
.dralo{
    position: fixed;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.6);
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    visibility: hidden;
    transition: opacity, visibility0;
    transition-duration: 0.3s;
}

.dralo--show{
    opacity: 1;
    visibility: visible;
}

.dralo--show .dralo__container{
    transform: scale(1);
}

.dralo__container{
    position: relative;
    background-color: #fff;
    width: min(600px, 90%);
    border-radius: 10px;
    padding: 20px;
    transform: scale(0);
    transition: all 0.3s ease;
}

button{
    border: none;
    outline: none;
    background-color: transparent;
    cursor: pointer;
}

.dralo__close{
    position: absolute;
    top: 6px;
    right: 6px;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background-color: #ebebeb;
    font-size: 2rem;
    color: #666;
}

.dralo__close:hover{
    color: #333;
}

.dralo__content{
    margin-top: 20px;
    max-height: 80vh;
    overflow-y: auto;
}

.dralo__footer{
    margin-top: 20px;
    display: flex;
    justify-content: flex-end;
    gap: 10px;
}

.dralo--no-scroll{
    overflow: hidden;
}
